=== debian/control ===
Source: bit-php-bace-lua
Section: web
Priority: optional
Maintainer: Stefan Kooman <stefan@bit.nl>
Build-Depends: debhelper (>= 7), po-debconf, xsltproc , php5-dev, lua5.1, liblua5.1-0, liblua5.1-0-dev
Standards-Version: 3.9.1

Package: bit-php-bace-lua
Architecture: any
Depends: php5, lua5.1, liblua5.1-0
Description: lua module for PHP 5
 Embedded lua interpreter
 .
 "Lua is a powerful, fast, light-weight, embeddable scripting
 language."
  This extension embeds the lua interpreter and offers an OO-API to
  lua variables and functions.
 .
