=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 TAR=tar
 PECL_PKG_NAME=lua
 PECL_PKG_REALNAME=lua
-PECL_PKG_VERSION=1.0.0
+PECL_PKG_VERSION=2.0.2
 PACKAGE_NAME=bit-php-bace-lua
 #BIN_PACKAGE_NAME=php$*-lua
 BIN_PACKAGE_NAME=bit-php-bace-lua
@@ -28,18 +28,18 @@
 PHPCONFIG=/usr/bin/php-config
 EXT_DIR=$(shell $(PHPCONFIG)$* --extension-dir)
 SOURCE_DIR=$(shell ls -d $(PECL_PKG_REALNAME)-*)
-BINARYTARGETS=binary-arch-v5 
-BUILDTARGETS=build-v5 
-CLEANTARGETS=clean-v5 
+BINARYTARGETS=binary-arch-v7.0 
+BUILDTARGETS=build-v7.0 
+CLEANTARGETS=clean-v7.0 
 PHP55CONFD=false
 
 # Sarge doesn't support --phpapi option (Bug #365667)
 phpapiver4=$(shell /usr/bin/php-config4 --phpapi)
 #phpapiver4=$(/usr/bin/php-config4 --extension-dir | xargs basename)
-phpapiver5=$(shell /usr/bin/php-config5 --phpapi)
+phpapiver7=$(shell /usr/bin/php-config7.0 --phpapi)
 
-configure-v4 configure-v5: configure-v%: configure-stamp-v%
-configure-stamp-v4 configure-stamp-v5: configure-stamp-v%:
+configure-v4 configure-v5 configure-v7.0: configure-v%: configure-stamp-v%
+configure-stamp-v4 configure-stamp-v5 configure-stamp-v7.0: configure-stamp-v%:
 	dh_testdir
 	# Add here commands to configure the package.
 	(cd $(SOURCE_DIR); \
@@ -50,14 +50,14 @@
 
 build: $(BUILDTARGETS)
 
-build-v4 build-v5: build-v%: build-stamp-v%
+build-v4 build-v5 build-v7.0: build-v%: build-stamp-v%
 
 build-stamp:
 #	xsltproc --nonet --novalid debian/changelog.xsl package.xml > debian/Changelog
 	$(shell /usr/share/dh-make-php/phppkginfo . changelog > debian/Changelog)
 	touch build-stamp
 
-build-stamp-v4 build-stamp-v5: build-stamp-v%: build-stamp configure-stamp-v%
+build-stamp-v4 build-stamp-v5 build-stamp-v7.0: build-stamp-v%: build-stamp configure-stamp-v%
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -68,7 +68,7 @@
 clean: $(CLEANTARGETS)
 	dh_clean
 
-clean-v4 clean-v5: clean-v%:
+clean-v4 clean-v5 clean-v7.0: clean-v%:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp* configure-stamp*
@@ -79,7 +79,7 @@
 	$(PHPIZE)$* --clean)
 	rm -rf tmp/modules$*
 
-install-v4 install-v5: install-v%: build-v%
+install-v4 install-v5 install-v7.0: install-v%: build-v%
 	dh_testdir
 	dh_testroot
 	# can't dh_clean here without specifically excluding the possibly existing installed dirs
@@ -101,8 +101,10 @@
 			mkdir -p debian/$(BIN_PACKAGE_NAME)/etc/php$*/mods-available; \
 			cp debian/$(PECL_PKG_NAME).ini debian/$(BIN_PACKAGE_NAME)/etc/php$*/mods-available; \
 		else \
-			mkdir -p debian/$(BIN_PACKAGE_NAME)/etc/php$*/conf.d; \
-			cp debian/$(PECL_PKG_NAME).ini debian/$(BIN_PACKAGE_NAME)/etc/php$*/conf.d; \
+			mkdir -p debian/$(BIN_PACKAGE_NAME)/etc/php$*/apache2/conf.d; \
+			cp debian/$(PECL_PKG_NAME).ini debian/$(BIN_PACKAGE_NAME)/etc/php$*/apache2/conf.d; \
+			mkdir -p debian/$(BIN_PACKAGE_NAME)/etc/php$*/cli/conf.d; \
+			cp debian/$(PECL_PKG_NAME).ini debian/$(BIN_PACKAGE_NAME)/etc/php$*/cli/conf.d; \
 		fi \
 	fi
 
@@ -112,7 +114,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch-v4 binary-arch-v5: binary-arch-v%: install-v%
+binary-arch-v4 binary-arch-v5 binary-arch-v7.0: binary-arch-v%: install-v%
 #	echo "php:Depends=phpapi-$(phpapiver$*)" >> debian/$(BIN_PACKAGE_NAME).substvars
 
 binary-arch: $(BINARYTARGETS)
@@ -148,4 +150,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build build-v4 build-v5 clean clean-v4 clean-v5 binary-indep binary-arch binary-arch-v4 binary-arch-v5 binary install-v4 install-v5 configure-v4 configure-v5
+.PHONY: build build-v4 build-v5 build-v7.0 clean clean-v4 clean-v5 clean-v7.0 binary-indep binary-arch binary-arch-v4 binary-arch-v5 binary-arch-v7.0 binary install-v4 install-v5 install-v7.0 configure-v4 configure-v5 configure-v7.0
