=== debian/watch ===
version=3
http://pecl.php.net/package/lua \
  /get/lua-([\d\.]*).tgz  debian  uupdate
